library easy_duration;

/// Return Duration base on int input
///
/// ex: 1.seconds -> Duration(seconds: 1);
extension EasyDurationInt on int {
  /// Returns current int in Duration of seconds
  Duration get seconds {
    return Duration(seconds: this);
  }

  /// Short-hand for [seconds]
  Duration get s {
    return Duration(seconds: this);
  }

  /// Return current int in Duration of miliseconds
  Duration get miliseconds {
    return Duration(milliseconds: this);
  }

  /// Short-hand for miliseconds
  Duration get ms {
    return Duration(milliseconds: this);
  }

  /// Return curretn int in  Duration of microseconds
  Duration get microseconds {
    return Duration(microseconds: this);
  }

  /// Short-hand for microseconds
  Duration get us {
    return Duration(microseconds: this);
  }

  /// Return current int in Duration of minutes
  Duration get minutes {
    return Duration(minutes: this);
  }

  /// Short-hand for minutes
  Duration get m {
    return Duration(minutes: this);
  }

  /// Return current int in Duration of hours
  Duration get hours {
    return Duration(hours: this);
  }

  /// Short-hand for hours
  Duration get h {
    return Duration(hours: this);
  }

  /// Return current int in Duration of days
  Duration get days {
    return Duration(days: this);
  }

  /// Short-hand for days
  Duration get d {
    return Duration(days: this);
  }

  /// Return current int in Duration of month (30 days / month)
  Duration get months {
    return Duration(days: 30 * this);
  }

  /// Short-hand for months
  Duration get M {
    return Duration(days: 30 * this);
  }

  /// Return current int in Duration of years (356 days/ year)
  Duration get years {
    return Duration(days: 365 * this);
  }

  /// Short-hand for years
  Duration get y {
    return Duration(days: 365 * this);
  }
}
